# gnochm.spec
#
# Copyright (c) 2003, 2004 Rubens Ramos rubensr@users.sourceforge.net
#
%define name gnochm
%define version 0.9.2
%define release 1rh8

# Preamble
Summary: A CHM file viewer for Gnome
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Applications/Publishing
Source: %{name}-%{version}.tar.gz
URL: http://gnochm.sourceforge.net/
BuildRoot: /var/tmp/%{name}-%{version}
BuildArch: noarch
Packager: Rubens Ramos <rubensr@users.sourceforge.net>
Requires: pychm >= 0.8.0
Requires: python
Requires: pygtk2
Requires: pygtk2-libglade
Requires: gnome-python2
Requires: gnome-python2-bonobo
Requires: gnome-python2-gtkhtml2
Requires: gnome-python2-gconf
BuildRequires: pychm >= 0.8.0, python, pygtk2, pygtk2-libglade, gnome-python2
BuildRequires: gnome-python2-bonobo, gnome-python2-gtkhtml2
BuildRequires: gnome-python2-gconf
Prefix: %prefix

%description
A CHM file viewer for Gnome. Features are:
  
  * Full text search
  * Bookmarks
  * Support for external ms-its links
  * Configurable support for http links 
  * Internationalisation

# Prep
%prep
%setup

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=$RPM_BUILD_ROOT install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
export SCHEMA=%{_sysconfdir}/gconf/schemas/gnochm.schemas
gconftool-2 --makefile-install-rule $SCHEMA > /dev/null

if which scrollkeeper-update>/dev/null 2>&1; then scrollkeeper-update; fi

%postun
if which scrollkeeper-update>/dev/null 2>&1; then scrollkeeper-update; fi

%files
%defattr(-,root,root)

%doc ABOUT-NLS AUTHORS COPYING ChangeLog NEWS README

%{_bindir}/gnochm
%{_datadir}/gnochm/glade/*.glade
%{_datadir}/gnome/help/gnochm/C/*.xml
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/omf/gnochm/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/gnochm.desktop
%{_datadir}/mime-info/gnochm.*
%{_datadir}/application-registry/gnochm.*
%{_datadir}/man/man1/gnochm*
%{_sysconfdir}/gconf/schemas/gnochm.schemas

%changelog
* Sat Jan 10 2004 Rubens Ramos <rubensr@users.sourceforge.net>
- Updated copyright and dependencies

* Sun Dec 28 2003 Rubens Ramos <rubensr@users.sourceforge.net>
- After quite some time trying to understand what I 
  actually needed here, things are working. Now gconf stuff seems to
  be installed properly, as well as scrollkeeper docs.
- I guess noarch is better than i386.
- Added a bunch of dependencies
